/*
 *			    Squirt Socket common
 *			    -------------------
 *
 *		Jean II '00
 *
 * Public header for squirt_socket.c
 * Defines all you need to know about the file...
 *
 * This file is released under the GPL license.
 */

/*
Copyright (C) 1995-2001 Hewlett-Packard Company 

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
*/

#ifndef SQUIRT_SOCKET_H
#define SQUIRT_SOCKET_H

/***************************** INCLUDES *****************************/

#include "squirt_common.h"	/* For es_squirt, es_listen and co... */

/**************************** PROTOTYPES ****************************/

/* Send a squirt over Ultra */
int
	send_socket(es_squirt *	content,
		    es_opt *	options,
		    es_trans *	extra,
		    int		opt_squirt);
/* Add a squirt listener over Ultra */
es_listen *
	add_socket(es_listen *	list,
		   es_opt *	options,
		   int		opt_squirt);

#endif	/* SQUIRT_SOCKET_H */
