/*
 *			    Squirt RUI processing
 *			    ---------------------
 *
 *		Jean II '00 & '01
 *
 * Public header for squirt_rui.c
 * Defines all you need to know about the file...
 *
 * This file is released under the GPL license.
 */

/*
Copyright (C) 1995-2001 Hewlett-Packard Company 

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
*/

#ifndef SQUIRT_RUI_H
#define SQUIRT_RUI_H

/***************************** INCLUDES *****************************/

//#include <stdio.h>		/* sprintf and friends */
//#include <string.h>		/* strchr and friends */
#include "squirt_common.h"	/* For es_squirt, es_listen and co... */

/**************************** PROTOTYPES ****************************/

extern char *
	escape_uri(char *	dest,
		   int		dlen,
		   char *	src);
extern char *
	unescape_uri(char *	dest,
		     char *	src);
extern int
	unescape_uugli(char *	dest,
		       char *	src);

#endif	/* SQUIRT_RUI_H */
